Name:			xnec2c
Version:		4.4.16
Release:		%mkrel 2
Summary:		GTK based graphical wrapper for nec2c
Group:			Communications/Radio
License:		GPLv2+
URL:			https://github.com/KJ7LNW/xnec2c
Source0:		https://github.com/KJ7LNW/xnec2c/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz
Patch0:			xnec2c-4.4.12-mga-Zo_max.patch

BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	intltool

Requires:		nec2c

Recommends:		atlas
Recommends:		openblas-serial
Recommends:		openblas-threads
Recommends:		openblas-openmp

%description
xnec2c is a GUI interactive application that (in its current form) reads NEC2
input files but presents output data in graphical form, e.g. as wire frame
drawings of the radiation pattern or near E/H field, graphs of maximum gain,
input impedance, vswr etc against frequency and simple rendering of the antenna
structure, including color code representation of currents or charge densities.

These results are only calculated and drawn on user demand via menu items or
buttons, e.g. xnec2c is interactive and does not execute NEC2 "commands" in
batch style as the original does.

%prep
%autosetup -p1

%build
autoreconf -ivf
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog README
%doc doc/NearFieldCalcs.txt doc/NEC2-bug.txt doc/nec2c.txt doc/xnec2c.html
%doc doc/images examples
%{_bindir}/xnec2c
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/xnec2c.svg
%{_datadir}/%{name}/examples/
%{_mandir}/man1/xnec2c.1*
%{_iconsdir}/hicolor/256x256/apps/xnec2c.png
%{_datadir}/mime/packages/x-nec2.xml


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 4.4.16-2.mga10
+ Revision: 2227718
- Mageia 10 Mass Rebuild

* Tue Sep 17 2024 barjac <barjac> 4.4.16-1.mga10
+ Revision: 2097907
- new version 4.4.16
- switch upstream fork to match fedora
- recommend atlas/openblas as done in fedora

* Tue Sep 17 2024 barjac <barjac> 4.4.12-2.mga10
+ Revision: 2097564
- enable openblas

* Wed Mar 27 2024 barjac <barjac> 4.4.12-1.mga10
+ Revision: 2052843
- new version 4.4.12
- changed Url new upstream
- patch to extend Z0 to 9999 Ohms

* Wed Mar 30 2022 umeabot <umeabot> 4.2-2.mga9
+ Revision: 1835652
- Mageia 9 Mass Rebuild

* Tue Oct 05 2021 barjac <barjac> 4.2-1.mga9
+ Revision: 1749603
- new version 4.2

* Wed Jun 09 2021 barjac <barjac> 4.1.5-1.mga9
+ Revision: 1730258
- new version 4.1.5

* Fri May 14 2021 barjac <barjac> 4.1.4-1.mga9
+ Revision: 1722888
- new version 4.1.1
- update files list

* Tue Sep 01 2020 barjac <barjac> 4.1.1-1.mga8
+ Revision: 1620706
- new version 4.1.1

* Fri Feb 14 2020 umeabot <umeabot> 4.1-2.mga8
+ Revision: 1521988
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Jan 08 2019 barjac <barjac> 4.1-1.mga7
+ Revision: 1351542
- new version 4.1

* Sun Sep 23 2018 umeabot <umeabot> 3.9-2.mga7
+ Revision: 1301949
- Mageia 7 Mass Rebuild

* Wed Jun 20 2018 barjac <barjac> 3.9-1.mga7
+ Revision: 1238242
- new version 3.9
- icon and desktop file now provided by upstream
- examples are fixed upstream so no need to convert
- use autosetup and make-build

* Thu Jul 21 2016 barjac <barjac> 3.5-2.mga6
+ Revision: 1042949
- use more meaningful desktop file categories

* Fri Jul 15 2016 barjac <barjac> 3.5-1.mga6
+ Revision: 1042232
- new version 3.5

* Thu Jan 07 2016 barjac <barjac> 3.4-2.mga6
+ Revision: 920223
- fix Url and Source0

* Thu Dec 10 2015 barjac <barjac> 3.4-1.mga6
+ Revision: 909323
- new version 3.4

* Fri Jul 24 2015 barjac <barjac> 3.3-1.mga6
+ Revision: 857059
- clean spec
- Import xnec2c with thanks to Fedora


* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 14 2015 Richard Shaw <hobbes1069@gmail.com> - 3.3-1
- Update to latest upstream release.

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Richard Shaw <hobbes1069@gmail.com> - 2.8-1
- Update to latest upstream release.

* Mon Aug 26 2013 Richard Shaw <hobbes1069@gmail.com> - 2.3-1.beta
- Update to latest upstream release.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 03 2013 Richard Shaw <hobbes1069@gmail.com> - 2.1-1.beta
- Update to latest upstream release.

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 7 2011 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 1.5-3
- linker error in build added libm.so

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.5-2
- Rebuild for new libpng

* Sun Jul 9 2011 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 1.5-1
- Upstream update to 1.5
- Update URL and source

* Thu Jun 30 2011 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 1.4-3
- Import and build for F15/master

* Thu Jun 30 2011 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 1.4-2
- Apply patch by Rik van Riel, fix the Front/Back gain calculations

* Mon Jun 20 2011 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 1.4-1
- Upstream update to 1.4

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 11 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org>- 1.2-1 
- New upstream release

* Mon Feb 25 2008 Steve Conklin <sconklin at redhat dot com> - 1.0b5-1
- New upstream

* Tue Feb 19 2008 Steve Conklin <sconklin at redhat dot com> - 1.0b3-2
- Added desktop file and icon

* Tue Dec 11 2007 Sindre Pedersen Bjørdal - 1.0b3-1
- Initial build
